# vagrant-blackarch

This is a vagrant setup for using BlackArch as a portable pentest environment.

## Create VM

* If you haven't done it before, install the arch image and vagrant-reload via
```sh
vagrant plugin install vagrant-reload
vagrant box add archlinux/archlinux
```

* Run the script to bring up the VM
```sh
./run.sh
```
* An RSA key will be created, Vagrant will start creating the VM. Provisioning the VM is done via Ansible's `playbook.yml`. 
* Reboot after Ansible has provisioned the VM to get the gui to work.

## TODO

* Putting in dotfiles, dwm and everything else is vanilla right now.
* Select applications to install
